Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.admin.cfg
Interface RemoteConfigurationCluster

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteConfigurationCluster

extends java.rmi.Remote

This interface define methods to get cluster setting of sever remotely.

Method Summary
`java.lang.String` | `getClusterAdminHost()` Return cluster admin server host addressthrows RemoteException;
`java.lang.String` | `getClusterAdminRMIPort()` Return cluster admin RMI portthrows RemoteException;
`java.lang.String` | `getClusterResourceRoot()` Return cluster resource rootthrows RemoteException;
`java.lang.String` | `getShareHistoryDirectory()` Return cluster cluster share history directorythrows RemoteException;
`java.lang.String` | `getSharePropertyDirectory()` Return cluster share property directorythrows RemoteException;
`java.lang.String` | `getShareRealmDirectory()` Return cluster share realm directorythrows RemoteException;
`java.lang.String` | `getShareTempDirectory()` Return cluster cluster share temp directorythrows RemoteException;
`boolean` | `isClusterAdminServer()` Return if provide cluster admin serverthrows RemoteException;
`boolean` | `isClusterBackupServer()` Return if provide cluster back serverthrows RemoteException;
`void` | `loadProperties()` set the properties of server
`void` | `setClusterAdminHost(java.lang.String adminPort)` Set cluster admin server host addressthrows RemoteException;
`void` | `setClusterAdminRMIPort(java.lang.String adminRMIPort)` Set cluster admin RMI portthrows RemoteException;
`void` | `setClusterAdminServer(boolean isCluster)` Set if Provide cluster admin serverthrows RemoteException;
`void` | `setClusterBackupServer(boolean isBack)` Set if Provide cluster back serverthrows RemoteException;
`void` | `setClusterResourceRoot(java.lang.String dir)` Set cluster resource rootthrows RemoteException;
`void` | `setShareHistoryDirectory(java.lang.String dir)` Set cluster share history directorythrows RemoteException;
`void` | `setSharePropertyDirectory(java.lang.String dir)` Set cluster share property directorythrows RemoteException;
`void` | `setShareRealmDirectory(java.lang.String dir)` Set cluster share realm directorythrows RemoteException;
`void` | `setShareTempDirectory(java.lang.String dir)` Set cluster share temp directorythrows RemoteException;

Method Detail

### isClusterAdminServer

    boolean isClusterAdminServer()
                                 throws java.rmi.RemoteException

  Return if provide cluster admin serverthrows RemoteException;

  Returns:
    boolean which is if provide cluster admin server.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setClusterAdminServer

    void setClusterAdminServer(boolean isCluster)
                               throws java.rmi.RemoteException

  Set if Provide cluster admin serverthrows RemoteException;

  Parameters:
    `isCluster` - Provide cluster admin server.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### isClusterBackupServer

    boolean isClusterBackupServer()
                                  throws java.rmi.RemoteException

  Return if provide cluster back serverthrows RemoteException;

  Returns:
    boolean which is if provide cluster back server.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setClusterBackupServer

    void setClusterBackupServer(boolean isBack)
                                throws java.rmi.RemoteException

  Set if Provide cluster back serverthrows RemoteException;

  Parameters:
    `isBack` - provide cluster back server.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getClusterAdminHost

    java.lang.String getClusterAdminHost()
                                         throws java.rmi.RemoteException

  Return cluster admin server host addressthrows RemoteException;

  Returns:
    string which is cluster admin server host address.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setClusterAdminHost

    void setClusterAdminHost(java.lang.String adminPort)
                             throws java.rmi.RemoteException

  Set cluster admin server host addressthrows RemoteException;

  Parameters:
    `adminPort` - cluster admin server host address.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getClusterAdminRMIPort

    java.lang.String getClusterAdminRMIPort()
                                            throws java.rmi.RemoteException

  Return cluster admin RMI portthrows RemoteException;

  Returns:
    string which is cluster admin RMI port.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setClusterAdminRMIPort

    void setClusterAdminRMIPort(java.lang.String adminRMIPort)
                                throws java.rmi.RemoteException

  Set cluster admin RMI portthrows RemoteException;

  Parameters:
    `adminRMIPort` - cluster admin RMI port.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getSharePropertyDirectory

    java.lang.String getSharePropertyDirectory()
                                               throws java.rmi.RemoteException

  Return cluster share property directorythrows RemoteException;

  Returns:
    string which is cluster share property directory.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getShareRealmDirectory

    java.lang.String getShareRealmDirectory()
                                            throws java.rmi.RemoteException

  Return cluster share realm directorythrows RemoteException;

  Returns:
    string which is cluster share realm directory.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getClusterResourceRoot

    java.lang.String getClusterResourceRoot()
                                            throws java.rmi.RemoteException

  Return cluster resource rootthrows RemoteException;

  Returns:
    string which is cluster resource root.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getShareTempDirectory

    java.lang.String getShareTempDirectory()
                                           throws java.rmi.RemoteException

  Return cluster cluster share temp directorythrows RemoteException;

  Returns:
    string which is cluster cluster share temp directory.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getShareHistoryDirectory

    java.lang.String getShareHistoryDirectory()
                                              throws java.rmi.RemoteException

  Return cluster cluster share history directorythrows RemoteException;

  Returns:
    string which is cluster cluster share history directory.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setSharePropertyDirectory

    void setSharePropertyDirectory(java.lang.String dir)
                                   throws java.rmi.RemoteException

  Set cluster share property directorythrows RemoteException;

  Parameters:
    `dirt` - cluster share property directory.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setShareRealmDirectory

    void setShareRealmDirectory(java.lang.String dir)
                                throws java.rmi.RemoteException

  Set cluster share realm directorythrows RemoteException;

  Parameters:
    `dirt` - cluster share realm directory.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setClusterResourceRoot

    void setClusterResourceRoot(java.lang.String dir)
                                throws java.rmi.RemoteException

  Set cluster resource rootthrows RemoteException;

  Parameters:
    `dirt` - cluster resource root.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setShareTempDirectory

    void setShareTempDirectory(java.lang.String dir)
                               throws java.rmi.RemoteException

  Set cluster share temp directorythrows RemoteException;

  Parameters:
    `dirt` - cluster share temp directory.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setShareHistoryDirectory

    void setShareHistoryDirectory(java.lang.String dir)
                                  throws java.rmi.RemoteException

  Set cluster share history directorythrows RemoteException;

  Parameters:
    `dirt` - cluster share history directory.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### loadProperties

    void loadProperties()
                        throws java.rmi.RemoteException

  set the properties of server

  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD